|
@@ -0,0 +1,71 @@
|
|
|
|
|
+# don't put duplicate lines or lines starting with space in the history.
|
|
|
|
|
+# See bash(1) for more options
|
|
|
|
|
+HISTCONTROL=ignoreboth
|
|
|
|
|
+
|
|
|
|
|
+
|
|
|
|
|
+# append to the history file, don't overwrite it
|
|
|
|
|
+shopt -s histappend
|
|
|
|
|
+#!/bin/bash
|
|
|
|
|
+DEBUG=1
|
|
|
|
|
+[ -n "$DEBUG" ] && echo debug $0 >&2
|
|
|
|
|
+
|
|
|
|
|
+
|
|
|
|
|
+# for setting history length see HISTSIZE and HISTFILESIZE in bash(1)
|
|
|
|
|
+HISTSIZE=10000
|
|
|
|
|
+HISTFILESIZE=50000
|
|
|
|
|
+
|
|
|
|
|
+# check the window size after each command and, if necessary,
|
|
|
|
|
+# update the values of LINES and COLUMNS.
|
|
|
|
|
+shopt -s checkwinsize
|
|
|
|
|
+
|
|
|
|
|
+# If set, the pattern "**" used in a pathname expansion context will
|
|
|
|
|
+# match all files and zero or more directories and subdirectories.
|
|
|
|
|
+#shopt -s globstar
|
|
|
|
|
+
|
|
|
|
|
+# make less more friendly for non-text input files, see lesspipe(1)
|
|
|
|
|
+#[ -x /usr/bin/lesspipe ] && eval "$(SHELL=/bin/sh lesspipe)"
|
|
|
|
|
+
|
|
|
|
|
+# Alias definitions.
|
|
|
|
|
+# You may want to put all your additions into a separate file like
|
|
|
|
|
+# ~/.bash_aliases, instead of adding them here directly.
|
|
|
|
|
+# See /usr/share/doc/bash-doc/examples in the bash-doc package.
|
|
|
|
|
+
|
|
|
|
|
+if [ -f ~/.bash_aliases ]; then
|
|
|
|
|
+ . ~/.bash_aliases
|
|
|
|
|
+fi
|
|
|
|
|
+
|
|
|
|
|
+
|
|
|
|
|
+# enable programmable completion features (you don't need to enable
|
|
|
|
|
+# this, if it's already enabled in /etc/bash.bashrc and /etc/profile
|
|
|
|
|
+# sources /etc/bash.bashrc).
|
|
|
|
|
+if ! shopt -oq posix; then
|
|
|
|
|
+ if [ -f /usr/share/bash-completion/bash_completion ]; then
|
|
|
|
|
+ . /usr/share/bash-completion/bash_completion
|
|
|
|
|
+ elif [ -f /etc/bash_completion ]; then
|
|
|
|
|
+ . /etc/bash_completion
|
|
|
|
|
+ fi
|
|
|
|
|
+fi
|
|
|
|
|
+
|
|
|
|
|
+
|
|
|
|
|
+
|
|
|
|
|
+
|
|
|
|
|
+bashrcd_only="aaa bbb ccc"
|
|
|
|
|
+bashrcd_exlcude="ddd eee fff"
|
|
|
|
|
+
|
|
|
|
|
+for src in ~/.bashrc.d/*; do
|
|
|
|
|
+ if [ -e "$src" ]; then
|
|
|
|
|
+ echo . $src
|
|
|
|
|
+ fi
|
|
|
|
|
+done
|
|
|
|
|
+
|
|
|
|
|
+
|
|
|
|
|
+# Do something only on specific hosts
|
|
|
|
|
+
|
|
|
|
|
+only_at_home="ralf-21kscto1ww"
|
|
|
|
|
+if [ "$(hostname -f)" == "ralf-21kscto1ww" ]; then
|
|
|
|
|
+ export SSH_AUTH_SOCK="$HOME/.bitwarden-ssh-agent.sock"
|
|
|
|
|
+fi
|
|
|
|
|
+
|
|
|
|
|
+
|
|
|
|
|
+
|
|
|
|
|
+
|